<?php
/*-------------------------------------------------------+
| PHP-Fusion Content Management System
| Copyright  2002 - 2011 Nick Jones
| http://www.php-fusion.co.uk/
+--------------------------------------------------------+
| Filename: jcarousel_panel.php
| Version: 1.0
| Author: jikaka
+--------------------------------------------------------+
| This program is released as free software under the
| Affero GPL license. You can redistribute it and/or
| modify it under the terms of this license which you
| can read by viewing the included agpl.txt or online
| at www.gnu.org/licenses/agpl.html. Removal of this
| copyright header is strictly prohibited without
| written permission from the original author(s).
+--------------------------------------------------------*/
if (!defined("IN_FUSION")) { die("Access Denied"); }

if (file_exists(INFUSIONS."jcarousel_panel/locale/".$settings['locale'].".php")) {
	include INFUSIONS."jcarousel_panel/locale/".$settings['locale'].".php";
} else {
	include INFUSIONS."jcarousel_panel/locale/English.php";
}

add_to_head("
<script type='text/javascript' src='".INFUSIONS."jcarousel_panel/js/jquery-1.4.2.min.js'></script>
<script type='text/javascript' src='".INFUSIONS."jcarousel_panel/js/jquery.jcarousel.min.js'></script>
<link type='text/css' href='".INFUSIONS."jcarousel_panel/css/skin.css' media='screen' rel='stylesheet' />
<script type='text/javascript'> 
function mycarousel_initCallback(carousel)
{
    // Disable autoscrolling if the user clicks the prev or next button.
    carousel.buttonNext.bind('click', function() {
        carousel.startAuto(0);
    });
 
    carousel.buttonPrev.bind('click', function() {
        carousel.startAuto(0);
    });
 
    // Pause autoscrolling if the user moves with the cursor over the clip.
    carousel.clip.hover(function() {
        carousel.stopAuto();
    }, function() {
        carousel.startAuto();
    });
};
 
jQuery(document).ready(function() {
    jQuery('#mycarousel').jcarousel({
        auto: 2,
        wrap: 'last',
        initCallback: mycarousel_initCallback
    });
});
</script>
");

$result=dbquery(
	"SELECT * FROM ".$db_prefix."photo_albums ta ".
	"JOIN ".$db_prefix."photos USING (album_id)
	WHERE ".groupaccess('album_access')."
	ORDER BY photo_datestamp DESC"
	);

opentable($locale['jcp001']);
if (dbrows($result)!= "0") {
	echo "<ul id='mycarousel' class='jcarousel-skin-tango'>";
	while($data = dbarray($result)) {
		echo "<li><a href='".BASEDIR."photogallery.php?photo_id=".$data['photo_id']."' class='side'>";
		echo "<img src='".PHOTOS."album_".$data['album_id']."/".$data['photo_thumb1']."' width='135' height='110' title='".$data['photo_title']."' alt='".$data['photo_title']."' border='0' />";
		echo "</a></li>";	
	}
	echo "</ul>";
} else {
	echo $locale['jcp002'];
}
closetable();
?>